/*
@license.text@
 */
package com.pavelvlasov.eval.samples;

import java.util.HashMap;
import java.util.Map;

import biz.hammurapi.config.MapContext;
import biz.hammurapi.convert.CompositeConverter;
import biz.hammurapi.eval.EvaluatingContext;


/**
 * @author Pavel Vlasov
 * @revision $Revision$
 */
public class EvaluatingContextSample {

	public static void main(String[] args) {
		Map ctx=new HashMap();
		ctx.put("a", new String[] {"alpha", "beta", "gamma", "delta"});
		EvaluatingContext evaluator=new EvaluatingContext(new MapContext(ctx), null, CompositeConverter.getDefaultConverter());		
		System.out.println(evaluator.get("a[3].length()"));
	}
}
