/*
@license.text@
 */
package com.pavelvlasov.util.samples;

import java.util.HashMap;

import biz.hammurapi.util.ClassHierarchyVisitable;
import biz.hammurapi.util.Visitor;

/**
 * @author Pavel Vlasov
 * @revision $Revision$
 */
public class ClassHierarchyVisitableSample {

	public static void main(String[] args) {
		ClassHierarchyVisitable visitable=new ClassHierarchyVisitable(HashMap.class);
		visitable.accept(new Visitor() {

			public boolean visit(Object target) {
				System.out.println(target);
				return true;
			}
			
		});
	}
}
