/*
@license.text@
 */
package com.pavelvlasov.util.samples;

import java.io.File;
import java.util.HashMap;
import java.util.Map;

import javax.xml.transform.stream.StreamResult;

import biz.hammurapi.config.MapContext;
import biz.hammurapi.metrics.SimpleMetric;
import biz.hammurapi.util.ClassTransformerFactory;


/**
 * @author Pavel Vlasov
 * @revision $Revision$
 */
public class MetricTransformationSample {

	public static void main(String[] args) throws Exception {
		SimpleMetric sm=new SimpleMetric("Sample metric");
		sm.add(33, 0);
		sm.add(44, 1);
		ClassTransformerFactory ctf=new ClassTransformerFactory(null, null, true);
		Map map=new HashMap();
		map.put("footer", "<HR/><i>Pavel Vlasov, 2005</i>");
		ctf.transform(sm, "metric", null, null, new MapContext(map), null, new StreamResult(new File("SampleMetric.html")));		
	}
}
