package biz.hammurapi.cache;

/**
 * Key, which knows how to produce corresponding value if it is not cached.
 * Implementations shall also properly imlement equals() and hashCode().
 * @author Pavel
 */
public interface ProducingKey {
	
	/**
	 * Produces value for the key.
	 * @return
	 */
	Entry get();

}
