package biz.hammurapi.config;

/**
 * Component which can be activated, passivated, and validated.
 * @author Pavel
 */
public interface PoolableComponent extends Component {
	
	void activate() throws ConfigurationException;
	
	void passivate() throws ConfigurationException;
	
	boolean validate();

}
