package biz.hammurapi.config;

/**
 * If instance created by DomConfigFactory implements this interface then the factory
 * passes a command to the instance to restart it if the instance detects a failure which
 * can be possibly fixed by re-creating the instance from XML configuration. 
 * @author Pavel Vlasov
 *
 */
public interface Restartable {
	void setRestartCommand(RestartCommand command);
}
