package biz.hammurapi.jms.adapter;

import javax.jms.ConnectionFactory;

import biz.hammurapi.config.ConfigurationException;

public class JndiConnection extends JmsConnection {
	
	public JndiConnection(JmsAdapter jmsAdapter, biz.hammurapi.jms.adapter.definition.JndiConnection definition) throws ConfigurationException {
		super(jmsAdapter, definition);
	}

	protected ConnectionFactory getConnectionFactory() throws ConfigurationException {		
		return (ConnectionFactory) ((JndiContext) get("..")).lookup(((biz.hammurapi.jms.adapter.definition.JndiConnection) definition).getJndiName()) ;
	}

}
