package biz.hammurapi.jms.adapter;

/**
 * Processes object created from Message.
 * @author Pavel
 */
public interface Processor {

	/**
	 * Processes object
	 * @param obj
	 * @return Processing result. This result is
	 * sent as a reply from listener.
	 * @throws Exception If exception is thrown it is also 
	 * serialized and sent as error reply.
	 */
	Object process(Object obj) throws Exception;
}
