package biz.hammurapi.jms.adapter.converters;

import javax.xml.transform.Result;
import javax.xml.transform.Source;
import javax.xml.transform.dom.DOMResult;
import javax.xml.transform.dom.DOMSource;

import org.w3c.dom.Node;

/**
 * Parses message to DOM. Serializes DOM to message
 * @author Pavel
 *
 */
public class DomConverter extends StylingXmlConverter {
	
	protected Source convert(Object request) throws Exception {		
		return new DOMSource((Node) request);
	}

	protected Result createResult() {
		return new DOMResult(createDocument());
	}

	protected Object processResult(Result result) throws Exception {		
		return ((DOMResult) result).getNode();
	}

}
