package biz.hammurapi.jms.adapter.jca;

import javax.resource.ResourceException;
import javax.resource.spi.ManagedConnectionMetaData;

public class ManagedConnectionMetaDataImpl implements ManagedConnectionMetaData {

	private String productName;
	private String version;
	private int maxConnections;
	private String userName;


	public ManagedConnectionMetaDataImpl(String productName, String version, int maxConnections, String userName) {
		super();
		this.productName = productName;
		this.version = version;
		this.maxConnections = maxConnections;
		this.userName = userName;
	}

	public String getEISProductName() throws ResourceException {
		return productName;
	}

	public String getEISProductVersion() throws ResourceException {
		return version;
	}

	public int getMaxConnections() throws ResourceException {
		return maxConnections;
	}

	public String getUserName() throws ResourceException {
		return userName;
	}

}