<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>

    <xsl:template match="/">
	    	<xsl:apply-templates select="metrics"/>
    </xsl:template>
    
    <xsl:template match="metrics">
    	<HTML>
    	<BODY>
    		<H1>Metrics</H1>
    		<B>From:</B> <I><xsl:value-of select="@from"/></I> 
    		<BR/><B>To:</B> <I><xsl:value-of select="@to"/></I>
	    	<xsl:apply-templates select="metrics" mode="category"/>
	    </BODY>
	    </HTML>
    </xsl:template>
    
    <xsl:template match="metrics" mode="category">
    	<h2><xsl:value-of select="@category"/></h2>
    	<TABLE border="1" cellpadding="3" cellspacing="0">
    		<TR bgcolor="yellow">
    			<TH>Metric</TH>
    			<TH>Total</TH>
    			<TH>Number</TH>
    			<TH>Min</TH>
    			<TH>Avg</TH>
    			<TH>Max</TH>
    		</TR>
	    	<xsl:apply-templates select="metric"/>
	    </TABLE>
   </xsl:template>

    <xsl:template match="metric">
    	<TR>
			<TD><xsl:value-of select="@name"/></TD>
			<TD align="right"><xsl:value-of select="@total"/></TD>
			<TD align="right"><xsl:value-of select="@number"/></TD>
			<TD align="right"><xsl:value-of select="@min"/></TD>
			<TD align="right"><xsl:value-of select="@avg"/></TD>
			<TD align="right"><xsl:value-of select="@max"/></TD>
		</TR>
    </xsl:template>
</xsl:stylesheet>