package biz.hammurapi.metrics;

/**
 * Classes which collect measurement can implement this interface. Collectors pass measurement to consumers.
 * @author Pavel Vlasov
 *
 */
public interface MeasurementCollector {
	
	/**
	 * Sets measurement consumer to pass measurements to.
	 * @param measurementConsumer
	 */
	void setMeasurementConsumer(MeasurementConsumer measurementConsumer);

}
