package biz.hammurapi.remoting.http;

/**
 * Marker interface to indicate that object implementing this
 * interface shall not be serialized, but stored in session registry.
 * Remote object are strongly advised to properly implement equals() and hashCode()
 * to avoid bloating of the registry.
 * @author Pavel
 */
public interface HttpRemote {

}
