CREATE CACHED TABLE CACHE_ENTRY (
       ENTRY_KEY VARCHAR(50) NOT NULL
     , VALUE_FILE VARCHAR(255) NOT NULL
     , ENTRY_TIME BIGINT DEFAULT '0' NOT NULL
     , ENTRY_EXPIRES BIGINT NOT NULL
     , LAST_ACCESS BIGINT DEFAULT '0' NOT NULL
     , PRIMARY KEY (ENTRY_KEY)
);
CREATE INDEX "IX_CACHE_ENTRY_SQLC$M_EXPIRES" ON CACHE_ENTRY (ENTRY_EXPIRES);
CREATE INDEX "IX_CACHE_ENTRY_SQLC$O_LAST_ACCESS" ON CACHE_ENTRY (LAST_ACCESS);

