package biz.hammurapi.config;

/**
 * Component with name.
 * @author Pavel
 */
public interface NamedComponent extends Component {
	
	/**
	 * Sets component name.
	 * @param name
	 */
	void setName(String name);
	
	/**
	 * @return Component name
	 */
	String getName();
	
	/**
	 * Component path in container, which is 
	 * component's owner path and component name separated by slash.
	 * @return
	 */
	String getPath();
}
