package biz.hammurapi.config;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/**
 * Simple map-backed context.
 * @author Pavel
 *
 */
public class SimpleContext implements MutableContext, TraversableContext {
	private Map values = new HashMap();
	
	public Object get(String name) {
		return values.get(name);
	}
	
	public void set(String name, Object value) {
		values.put(name, value);
	}

	public void remove(String name) {
		values.remove(name);		
	}

	public Iterator getNames() {
		return values.keySet().iterator();
	}

}
