/**
 * 
 */
package biz.hammurapi.jms;

import javax.xml.transform.sax.SAXResult;

import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlSaxHandler;

public class XmlBeansSaxResult extends SAXResult {
	
	private XmlSaxHandler xmlSaxHandler;

	public XmlBeansSaxResult() {
		super();
		xmlSaxHandler = XmlObject.Factory.newXmlSaxHandler();
		this.setHandler(xmlSaxHandler.getContentHandler());
		this.setLexicalHandler(xmlSaxHandler.getLexicalHandler());
	}
	
	public XmlObject getObject() throws XmlException {
		return xmlSaxHandler.getObject();
	}
}