package biz.hammurapi.metrics;

import java.io.Serializable;

import biz.hammurapi.metrics.Metric.Measurement;

/**
 * Measurement serializable value object.
 * @author Pavel
 */
public class SimpleMeasurement implements Measurement, Serializable {
	
	private long time;
	private double value;

	public SimpleMeasurement(long time, double value) {
		this.time = time;
		this.value = value;
	}
	
	public SimpleMeasurement(Measurement master) {
		this.time=master.getTime();
		this.value=master.getValue();
	}

	public long getTime() {
		return time;
	}

	public double getValue() {
		return value;
	}

}
