package biz.hammurapi.remoting;

/**
 * Invocation from proxy are routed to instances of this interface.
 * The instance decides whether to perform a call locally or pass it to remoter. 
 * @author Pavel
 */
public interface LocalDelegate {

	/**
	 * 
	 * @param proxy
	 * @param method
	 * @param args
	 * @param remoter
	 * @return
	 * @throws Throwable
	 */
	public Object invoke(
			Object proxy, 
			java.lang.reflect.Method method, 
			Object[] args, 
			Remoter remoter) throws Throwable;
		
}
